# Clock constraints

create_clock -name "gtx_refclk" -period 8.000ns [get_ports {gtx_refclk_p}]

# Automatically constrain PLL and other generated clocks
derive_pll_clocks -create_base_clocks

# Automatically calculate clock uncertainty to jitter and other effects.
derive_clock_uncertainty

# Constraints on crossing clock domains, don't check hold times
set_max_delay -from [ get_clocks *|intel_10c_frontend_ins|*|tx_clkout] \
    -to [ get_clocks *|intel_10c_frontend_ins|*|rx_clkout] 4
set_max_delay -from [ get_clocks *|intel_10c_frontend_ins|*|rx_clkout] \
    -to [ get_clocks *|intel_10c_frontend_ins|*|tx_clkout] 4

set_false_path -hold -from [ get_clocks *|intel_10c_frontend_ins|*|tx_clkout] \
    -to [ get_clocks *|intel_10c_frontend_ins|*|rx_clkout]
set_false_path -hold -from [ get_clocks *|intel_10c_frontend_ins|*|rx_clkout] \
    -to [ get_clocks *|intel_10c_frontend_ins|*|tx_clkout]

# False paths to calm down TimeQuest
set_false_path -to [get_ports gpio_led[*]]

# The reference clock is used to clock logic directly, among others. It's
# unrelated the clocks generated by the transceiver:
set_clock_groups -logically_exclusive \
  -group [get_clocks *|xcvr_inst|*] \
  -group [get_clocks gtx_refclk]
