`timescale 1ns / 10ps

module xillyusb(user_w_write_32_wren, user_w_write_32_data,
  user_w_write_32_full, user_w_write_32_open, user_w_write_8_wren,
  user_w_write_8_data, user_w_write_8_full, user_w_write_8_open,
  user_w_mem_8_wren, user_w_mem_8_data, user_w_mem_8_full, user_w_mem_8_open,
  user_r_mem_8_rden, user_r_mem_8_data, user_r_mem_8_empty, user_r_mem_8_eof,
  user_r_mem_8_open, user_mem_8_addr, user_mem_8_addr_update,
  user_r_read_32_rden, user_r_read_32_eof, user_r_read_32_open,
  user_r_read_32_data, user_r_read_32_empty, user_r_read_8_rden,
  user_r_read_8_eof, user_r_read_8_open, user_r_read_8_data,
  user_r_read_8_empty, gtx_refclk_p, gtx_rxp, gtx_txp, gpio_led, bus_clk,
  quiesce);

  input  user_w_write_32_full;
  input  user_w_write_8_full;
  input  user_w_mem_8_full;
  input [7:0] user_r_mem_8_data;
  input  user_r_mem_8_empty;
  input  user_r_mem_8_eof;
  input  user_r_read_32_eof;
  input [31:0] user_r_read_32_data;
  input  user_r_read_32_empty;
  input  user_r_read_8_eof;
  input [7:0] user_r_read_8_data;
  input  user_r_read_8_empty;
  input  gtx_refclk_p;
  input  gtx_rxp;
  output  user_w_write_32_wren;
  output [31:0] user_w_write_32_data;
  output  user_w_write_32_open;
  output  user_w_write_8_wren;
  output [7:0] user_w_write_8_data;
  output  user_w_write_8_open;
  output  user_w_mem_8_wren;
  output [7:0] user_w_mem_8_data;
  output  user_w_mem_8_open;
  output  user_r_mem_8_rden;
  output  user_r_mem_8_open;
  output [4:0] user_mem_8_addr;
  output  user_mem_8_addr_update;
  output  user_r_read_32_rden;
  output  user_r_read_32_open;
  output  user_r_read_8_rden;
  output  user_r_read_8_open;
  output  gtx_txp;
  output [7:0] gpio_led;
  output  bus_clk;
  output  quiesce;
  wire  frontend_rst;
  wire  refclk_locked;
  wire  mgt_powerdown;
  wire  ltssm_lowpower;
  wire  rx_dontmess;
  wire  rx_phy_ready;
  wire  rx_resync;
  wire  rx_detect_revpolarity;
  wire  rx_detect_revpolarity_clear;
  wire  rx_align_enable;
  wire  tx_elecidle;
  wire  receiver_detect;
  wire  receiver_present;
  wire  receiver_present_valid;
  wire  version_10c_1_0;
  wire  pipe_rx_clk;
  wire [39:0] raw_tx;
  wire [39:0] raw_rx;
  wire  pll_locked;

  xillyusb_core  xillyusb_core_ins(.frontend_rst(frontend_rst),
    .refclk_locked(refclk_locked), .user_w_write_32_wren(user_w_write_32_wren),
    .user_w_write_32_data(user_w_write_32_data), .user_w_write_32_full(user_w_write_32_full),
    .user_w_write_32_open(user_w_write_32_open), .mgt_powerdown(mgt_powerdown),
    .user_w_write_8_wren(user_w_write_8_wren), .user_w_write_8_data(user_w_write_8_data),
    .user_w_write_8_full(user_w_write_8_full), .user_w_write_8_open(user_w_write_8_open),
    .ltssm_lowpower(ltssm_lowpower), .user_w_mem_8_wren(user_w_mem_8_wren),
    .user_w_mem_8_data(user_w_mem_8_data), .user_w_mem_8_full(user_w_mem_8_full),
    .user_w_mem_8_open(user_w_mem_8_open), .user_r_mem_8_rden(user_r_mem_8_rden),
    .user_r_mem_8_data(user_r_mem_8_data), .rx_dontmess(rx_dontmess),
    .user_r_mem_8_empty(user_r_mem_8_empty), .user_r_mem_8_eof(user_r_mem_8_eof),
    .user_r_mem_8_open(user_r_mem_8_open), .user_mem_8_addr(user_mem_8_addr),
    .user_mem_8_addr_update(user_mem_8_addr_update),
    .rx_phy_ready(rx_phy_ready), .user_r_read_32_rden(user_r_read_32_rden),
    .user_r_read_32_eof(user_r_read_32_eof), .user_r_read_32_open(user_r_read_32_open),
    .user_r_read_32_data(user_r_read_32_data), .user_r_read_32_empty(user_r_read_32_empty),
    .rx_resync(rx_resync), .user_r_read_8_rden(user_r_read_8_rden),
    .user_r_read_8_eof(user_r_read_8_eof), .user_r_read_8_open(user_r_read_8_open),
    .user_r_read_8_data(user_r_read_8_data), .user_r_read_8_empty(user_r_read_8_empty),
    .rx_detect_revpolarity(rx_detect_revpolarity),
    .rx_detect_revpolarity_clear(rx_detect_revpolarity_clear),
    .rx_align_enable(rx_align_enable), .tx_elecidle(tx_elecidle),
    .receiver_detect(receiver_detect), .receiver_present(receiver_present),
    .receiver_present_valid(receiver_present_valid),
    .version_10c_1_0(version_10c_1_0), .pipe_rx_clk(pipe_rx_clk),
    .gpio_led(gpio_led), .bus_clk(bus_clk), .raw_tx(raw_tx), .raw_rx(raw_rx),
    .pll_locked(pll_locked), .quiesce(quiesce));

  intel_10c_frontend  intel_10c_frontend_ins(.gtx_refclk_p(gtx_refclk_p),
    .gtx_rxp(gtx_rxp), .gtx_txp(gtx_txp), .pipe_rx_clk(pipe_rx_clk),
    .pipe_clk(bus_clk), .raw_tx(raw_tx), .raw_rx(raw_rx),
    .pll_locked(pll_locked), .frontend_rst(frontend_rst),
    .refclk_locked(refclk_locked), .mgt_powerdown(mgt_powerdown),
    .ltssm_lowpower(ltssm_lowpower), .rx_dontmess(rx_dontmess),
    .rx_phy_ready(rx_phy_ready), .rx_resync(rx_resync),
    .rx_detect_revpolarity(rx_detect_revpolarity),
    .rx_detect_revpolarity_clear(rx_detect_revpolarity_clear),
    .rx_align_enable(rx_align_enable), .tx_elecidle(tx_elecidle),
    .receiver_detect(receiver_detect), .receiver_present(receiver_present),
    .receiver_present_valid(receiver_present_valid),
    .version_10c_1_0(version_10c_1_0));

endmodule
